Cannot find -lncurses

When you install FreeBASIC on Linux (Debian/Ubuntu) you can run into troubles when trying to compile your first code.
One of the errors you can get is " cannot find -lncurses ".
FreeBASIC depends on libncurses (ibncurses<X> and libncurses<X>-dev).
You can install these libraries via a terminal logged in as root:

$ su
(type your root password)
# apt-get install libncurses5 libncurses5-dev

Or

$ sudo apt-get install libncurses5 libncurses5-dev
(type your user password if asked)

In my case I needed version 5 of libncurses.
After installation you're basic code should compile fine.